path: /build/build/gnome-characters-gnome-extra-3.34.0.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-test prefix" emerge gnome-extra/gnome-characters -pv -t && \
    USE="-test prefix" emerge -j ${JOBS} --nodeps gnome-extra/gnome-characters
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/gnome-characters && luet-portage --dir
    /pkgdir/gnome-characters gnome-extra/gnome-characters && eval 'rm -v /var/cache/distfiles/*
    ${LUET_PORTAGE_CACHE_PACKAGES}/* || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:a4cb95568712443c951fdee425f683b838de5df5c88a43747129a7e73bf3559b
  package:
    name: gnome-characters
    version: 3.34.0
    category: gnome-extra
    use_flags:
    - -test
    - prefix
    requires:
    - name: macaroni-funtoo-race16
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Unicode character map viewer and library
    uri:
    - https://wiki.gnome.org/Design/Apps/CharacterMap
    license: GPL-2 BSD
    buildtimestamp: 2023-09-18 22:27:44.809048793 +0000 UTC m=+108.854915655
    labels:
      DEPEND: '>=dev-libs/gjs-1.43.3 >=dev-libs/glib-2.62.2:2 >=dev-libs/gobject-introspection-1.62.0:=
        >=dev-libs/libunistring-0.9.5 >=x11-libs/gtk+-3.24.12:3[introspection] >=x11-libs/pango-1.44.7[introspection]
        dev-libs/appstream-glib >=sys-devel/gettext-0.19.8 virtual/pkgconfig test?
        ( || ( dev-lang/python:3.10 dev-lang/python:3.8 dev-lang/python:3.9 dev-lang/python:3.7
        ) || ( ( dev-lang/python:3.10 dev-util/dogtail[python_targets_python3_10(-),python_single_target_python3_10(+)]
        ) ( dev-lang/python:3.8 dev-util/dogtail[python_targets_python3_8(-),python_single_target_python3_8(+)]
        ) ( dev-lang/python:3.9 dev-util/dogtail[python_targets_python3_9(-),python_single_target_python3_9(+)]
        ) ( dev-lang/python:3.7 dev-util/dogtail[python_targets_python3_7(-),python_single_target_python3_7(+)]
        ) ) ) >=app-portage/elt-patches-20170815 app-arch/xz-utils dev-util/desktop-file-utils
        x11-misc/shared-mime-info test? ( !prefix? ( x11-base/xorg-server[xvfb] )
        x11-apps/xhost ) >=dev-util/meson-0.48.2 >=dev-util/ninja-1.7.2'
      IUSE: test test
      RDEPEND: '>=dev-libs/gjs-1.43.3 >=dev-libs/glib-2.62.2:2 >=dev-libs/gobject-introspection-1.62.0:=
        >=dev-libs/libunistring-0.9.5 >=x11-libs/gtk+-3.24.12:3[introspection] >=x11-libs/pango-1.44.7[introspection]'
      emerge.packages: gnome-extra/gnome-characters
      kit: gnome-kit
      original.package.name: gnome-extra/gnome-characters
      original.package.slot: "0"
      original.package.version: 3.34.0
    treedir: /build/packages
  package_dir: /pkgdir/gnome-characters
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 2e49a1680b0c2dc9e3ea0e7374d65334c8f5242253d419160883d3a67e616ef0
compressiontype: zstd
files:
- usr/bin/gnome-characters
- usr/lib64/org.gnome.Characters/girepository-1.0/Gc-1.0.typelib
- usr/lib64/org.gnome.Characters/libgc.so
- usr/share/applications/org.gnome.Characters.desktop
- usr/share/dbus-1/services/org.gnome.Characters.BackgroundService.service
- usr/share/dbus-1/services/org.gnome.Characters.service
- usr/share/doc/gnome-characters-3.34.0/NEWS.bz2
- usr/share/doc/gnome-characters-3.34.0/README.md.bz2
- usr/share/glib-2.0/schemas/org.gnome.Characters.gschema.xml
- usr/share/gnome-shell/search-providers/org.gnome.Characters.search-provider.ini
- usr/share/icons/hicolor/scalable/apps/org.gnome.Characters.svg
- usr/share/icons/hicolor/symbolic/apps/org.gnome.Characters-symbolic.svg
- usr/share/locale/af/LC_MESSAGES/org.gnome.Characters.mo
- usr/share/locale/ar/LC_MESSAGES/org.gnome.Characters.mo
- usr/share/locale/be/LC_MESSAGES/org.gnome.Characters.mo
- usr/share/locale/ca/LC_MESSAGES/org.gnome.Characters.mo
- usr/share/locale/ca@valencia/LC_MESSAGES/org.gnome.Characters.mo
- usr/share/locale/cs/LC_MESSAGES/org.gnome.Characters.mo
- usr/share/locale/da/LC_MESSAGES/org.gnome.Characters.mo
- usr/share/locale/de/LC_MESSAGES/org.gnome.Characters.mo
- usr/share/locale/el/LC_MESSAGES/org.gnome.Characters.mo
- usr/share/locale/en_GB/LC_MESSAGES/org.gnome.Characters.mo
- usr/share/locale/eo/LC_MESSAGES/org.gnome.Characters.mo
- usr/share/locale/es/LC_MESSAGES/org.gnome.Characters.mo
- usr/share/locale/eu/LC_MESSAGES/org.gnome.Characters.mo
- usr/share/locale/fa/LC_MESSAGES/org.gnome.Characters.mo
- usr/share/locale/fi/LC_MESSAGES/org.gnome.Characters.mo
- usr/share/locale/fr/LC_MESSAGES/org.gnome.Characters.mo
- usr/share/locale/fur/LC_MESSAGES/org.gnome.Characters.mo
- usr/share/locale/gd/LC_MESSAGES/org.gnome.Characters.mo
- usr/share/locale/gl/LC_MESSAGES/org.gnome.Characters.mo
- usr/share/locale/gu/LC_MESSAGES/org.gnome.Characters.mo
- usr/share/locale/he/LC_MESSAGES/org.gnome.Characters.mo
- usr/share/locale/hr/LC_MESSAGES/org.gnome.Characters.mo
- usr/share/locale/hu/LC_MESSAGES/org.gnome.Characters.mo
- usr/share/locale/id/LC_MESSAGES/org.gnome.Characters.mo
- usr/share/locale/is/LC_MESSAGES/org.gnome.Characters.mo
- usr/share/locale/it/LC_MESSAGES/org.gnome.Characters.mo
- usr/share/locale/ja/LC_MESSAGES/org.gnome.Characters.mo
- usr/share/locale/kk/LC_MESSAGES/org.gnome.Characters.mo
- usr/share/locale/ko/LC_MESSAGES/org.gnome.Characters.mo
- usr/share/locale/ln/LC_MESSAGES/org.gnome.Characters.mo
- usr/share/locale/lt/LC_MESSAGES/org.gnome.Characters.mo
- usr/share/locale/lv/LC_MESSAGES/org.gnome.Characters.mo
- usr/share/locale/ml/LC_MESSAGES/org.gnome.Characters.mo
- usr/share/locale/ms/LC_MESSAGES/org.gnome.Characters.mo
- usr/share/locale/nb/LC_MESSAGES/org.gnome.Characters.mo
- usr/share/locale/ne/LC_MESSAGES/org.gnome.Characters.mo
- usr/share/locale/nl/LC_MESSAGES/org.gnome.Characters.mo
- usr/share/locale/oc/LC_MESSAGES/org.gnome.Characters.mo
- usr/share/locale/pa/LC_MESSAGES/org.gnome.Characters.mo
- usr/share/locale/pl/LC_MESSAGES/org.gnome.Characters.mo
- usr/share/locale/pt/LC_MESSAGES/org.gnome.Characters.mo
- usr/share/locale/pt_BR/LC_MESSAGES/org.gnome.Characters.mo
- usr/share/locale/ro/LC_MESSAGES/org.gnome.Characters.mo
- usr/share/locale/ru/LC_MESSAGES/org.gnome.Characters.mo
- usr/share/locale/sk/LC_MESSAGES/org.gnome.Characters.mo
- usr/share/locale/sl/LC_MESSAGES/org.gnome.Characters.mo
- usr/share/locale/sr/LC_MESSAGES/org.gnome.Characters.mo
- usr/share/locale/sr@latin/LC_MESSAGES/org.gnome.Characters.mo
- usr/share/locale/sv/LC_MESSAGES/org.gnome.Characters.mo
- usr/share/locale/ta/LC_MESSAGES/org.gnome.Characters.mo
- usr/share/locale/tg/LC_MESSAGES/org.gnome.Characters.mo
- usr/share/locale/tr/LC_MESSAGES/org.gnome.Characters.mo
- usr/share/locale/uk/LC_MESSAGES/org.gnome.Characters.mo
- usr/share/locale/zh_CN/LC_MESSAGES/org.gnome.Characters.mo
- usr/share/locale/zh_TW/LC_MESSAGES/org.gnome.Characters.mo
- usr/share/metainfo/org.gnome.Characters.appdata.xml
- usr/share/org.gnome.Characters/gir-1.0/Gc-1.0.gir
- usr/share/org.gnome.Characters/org.gnome.Characters
- usr/share/org.gnome.Characters/org.gnome.Characters.BackgroundService
- usr/share/org.gnome.Characters/org.gnome.Characters.BackgroundService.data.gresource
- usr/share/org.gnome.Characters/org.gnome.Characters.BackgroundService.src.gresource
- usr/share/org.gnome.Characters/org.gnome.Characters.data.gresource
- usr/share/org.gnome.Characters/org.gnome.Characters.src.gresource
- var/db/pkg/gnome-extra/gnome-characters-3.34.0/BUILD_TIME
- var/db/pkg/gnome-extra/gnome-characters-3.34.0/CATEGORY
- var/db/pkg/gnome-extra/gnome-characters-3.34.0/CBUILD
- var/db/pkg/gnome-extra/gnome-characters-3.34.0/CFLAGS
- var/db/pkg/gnome-extra/gnome-characters-3.34.0/CHOST
- var/db/pkg/gnome-extra/gnome-characters-3.34.0/CONTENTS
- var/db/pkg/gnome-extra/gnome-characters-3.34.0/COUNTER
- var/db/pkg/gnome-extra/gnome-characters-3.34.0/CXXFLAGS
- var/db/pkg/gnome-extra/gnome-characters-3.34.0/DEFINED_PHASES
- var/db/pkg/gnome-extra/gnome-characters-3.34.0/DEPEND
- var/db/pkg/gnome-extra/gnome-characters-3.34.0/DESCRIPTION
- var/db/pkg/gnome-extra/gnome-characters-3.34.0/EAPI
- var/db/pkg/gnome-extra/gnome-characters-3.34.0/FEATURES
- var/db/pkg/gnome-extra/gnome-characters-3.34.0/HOMEPAGE
- var/db/pkg/gnome-extra/gnome-characters-3.34.0/INHERITED
- var/db/pkg/gnome-extra/gnome-characters-3.34.0/IUSE
- var/db/pkg/gnome-extra/gnome-characters-3.34.0/IUSE_EFFECTIVE
- var/db/pkg/gnome-extra/gnome-characters-3.34.0/KEYWORDS
- var/db/pkg/gnome-extra/gnome-characters-3.34.0/LDFLAGS
- var/db/pkg/gnome-extra/gnome-characters-3.34.0/LICENSE
- var/db/pkg/gnome-extra/gnome-characters-3.34.0/NEEDED
- var/db/pkg/gnome-extra/gnome-characters-3.34.0/PF
- var/db/pkg/gnome-extra/gnome-characters-3.34.0/PROVIDES
- var/db/pkg/gnome-extra/gnome-characters-3.34.0/RDEPEND
- var/db/pkg/gnome-extra/gnome-characters-3.34.0/REQUIRES
- var/db/pkg/gnome-extra/gnome-characters-3.34.0/SIZE
- var/db/pkg/gnome-extra/gnome-characters-3.34.0/SLOT
- var/db/pkg/gnome-extra/gnome-characters-3.34.0/USE
- var/db/pkg/gnome-extra/gnome-characters-3.34.0/environment.bz2
- var/db/pkg/gnome-extra/gnome-characters-3.34.0/gnome-characters-3.34.0.ebuild
- var/db/pkg/gnome-extra/gnome-characters-3.34.0/repository
package_cacheimage: ""
runtime:
  name: gnome-characters
  version: 3.34.0
  category: gnome-extra
  use_flags:
  - -test
  - prefix
  requires:
  - name: gjs
    version: '>=0'
    category: dev-libs
  - name: libunistring
    version: '>=0'
    category: dev-libs
  - name: gtk+
    version: '>=0'
    category: x11-libs-3
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Unicode character map viewer and library
  uri:
  - https://wiki.gnome.org/Design/Apps/CharacterMap
  license: GPL-2 BSD
  labels:
    DEPEND: '>=dev-libs/gjs-1.43.3 >=dev-libs/glib-2.62.2:2 >=dev-libs/gobject-introspection-1.62.0:=
      >=dev-libs/libunistring-0.9.5 >=x11-libs/gtk+-3.24.12:3[introspection] >=x11-libs/pango-1.44.7[introspection]
      dev-libs/appstream-glib >=sys-devel/gettext-0.19.8 virtual/pkgconfig test? (
      || ( dev-lang/python:3.10 dev-lang/python:3.8 dev-lang/python:3.9 dev-lang/python:3.7
      ) || ( ( dev-lang/python:3.10 dev-util/dogtail[python_targets_python3_10(-),python_single_target_python3_10(+)]
      ) ( dev-lang/python:3.8 dev-util/dogtail[python_targets_python3_8(-),python_single_target_python3_8(+)]
      ) ( dev-lang/python:3.9 dev-util/dogtail[python_targets_python3_9(-),python_single_target_python3_9(+)]
      ) ( dev-lang/python:3.7 dev-util/dogtail[python_targets_python3_7(-),python_single_target_python3_7(+)]
      ) ) ) >=app-portage/elt-patches-20170815 app-arch/xz-utils dev-util/desktop-file-utils
      x11-misc/shared-mime-info test? ( !prefix? ( x11-base/xorg-server[xvfb] ) x11-apps/xhost
      ) >=dev-util/meson-0.48.2 >=dev-util/ninja-1.7.2'
    IUSE: test test
    RDEPEND: '>=dev-libs/gjs-1.43.3 >=dev-libs/glib-2.62.2:2 >=dev-libs/gobject-introspection-1.62.0:=
      >=dev-libs/libunistring-0.9.5 >=x11-libs/gtk+-3.24.12:3[introspection] >=x11-libs/pango-1.44.7[introspection]'
    emerge.packages: gnome-extra/gnome-characters
    kit: gnome-kit
    original.package.name: gnome-extra/gnome-characters
    original.package.slot: "0"
    original.package.version: 3.34.0
